#!/usr/bin/perl
use XML::RSS;
use Data::Dumper;
use strict;
use warnings;


#-----------------------------------------------------------
my $file="$ARGV[0]";
my $rss=new XML::RSS;
#-----------------------------------------------------------
eval {$rss->parsefile($file); };
if( $@ ) {
    $@ =~ s/at \/.*?$//s;               # remove module line number
    print STDERR "\nERROR in '$file':\n$@\n";
} 
else {
	print  Dumper $rss;
    }